package com.aitrainer.api.controller.diet

import com.aitrainer.api.model.diet.RecipeRawMaterial
import com.aitrainer.api.repository.diet.RecipeRawMaterialRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*

@RestController
@RequestMapping("api")
class RecipeRawMaterialController(private val recipeRawMaterialRepository: RecipeRawMaterialRepository) {

    @PostMapping ("/recipe_raw_material")
    fun insert(@RequestBody recipeRawMaterial: RecipeRawMaterial): ResponseEntity<RecipeRawMaterial> {
        val newRecipe = recipeRawMaterialRepository.save(recipeRawMaterial)
        return ResponseEntity.ok().body(recipeRawMaterial)
    }
}