package com.aitrainer.api.repository.diet

import com.aitrainer.api.model.diet.DietUserPreference
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface DietUserPreferenceRepository : JpaRepository<DietUserPreference, Long> {
    fun findByDietUserId(dietUserId: Long): List<DietUserPreference>
}