package com.aitrainer.api.repository.diet

import com.aitrainer.api.model.diet.RawMaterial
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query

interface RawMaterialRepository : JpaRepository<RawMaterial, Int> {
    @Query(" FROM RawMaterial " +
            " WHERE id = :id"
    )
    fun findByRawMaterialId(id: Long): RawMaterial?
}
