package com.aitrainer.api.repository.diet

import com.aitrainer.api.model.diet.RecipeRawMaterial
import org.springframework.data.jpa.repository.JpaRepository

interface RecipeRawMaterialRepository : JpaRepository<RecipeRawMaterial, Int> {

    fun findByRawMaterialId(rawMaterialId: Long): List<RecipeRawMaterial>?
}
