package com.aitrainer.api.model

import kotlinx.serialization.*
import kotlinx.serialization.json.*

@Serializable
data class ClubUser (
    var email: String = "",
    var firstname: String = "",
    var sex: String = "m",
    var birthYear: Int = 0,
    var weight: Double = 0.0,
    var height: Double = 0.0,
    var goal: String = "",
    var fitnessLevel: String = "",
    var membershipId: Long = 0,
) {
    fun fromJson(json: String): ClubUser {
        return Json.decodeFromString(serializer(), json)
    }
}